Name:           fuse-emulator
Version:        1.3.3
Release:        1%{?dist}
Summary:        The Free UNIX Spectrum Emulator
Group:          Applications/Emulators
License:        GPLv2+
URL:            http://fuse-emulator.sourceforge.net
Source0:        fuse-%{version}-noroms.tar.gz
# we use
# this script to remove the roms binary before shipping it.
# Download the upstream tarball and invoke this script while in the
# tarball's directory:
# ./generate-tarball.sh 0.9.0
Source1:        generate-tarball.sh
Source2:        README.z88sdk
Source3:        README_fuseroms.fedora
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  alsa-lib-devel
BuildRequires:  bzip2-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gtk2-devel
BuildRequires:  libgcrypt-devel >= 1.1.42
BuildRequires:  libICE-devel
BuildRequires:  libpng-devel
BuildRequires:  libspectrum-devel >= 1.3.2
BuildRequires:  libxml2-devel
BuildRequires:  zlib-devel
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  SDL-devel
Requires:       hicolor-icon-theme

%description
Fuse is a spectrum emulator which emulates multiple models, including the 16K,
48K, 128K, +2, +2A, +3 and various clones.


%prep
%setup -qn fuse-%{version}

# Filter unwanted dependency in the debuginfo rpm
cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
    sed -e '/perl(Fuse)/d' | \
    sed -e '/perl(strict)/d' | \
    sed -e '/perl(lib)/d'
EOF

%define __perl_requires %{_builddir}/fuse-%{version}/%{name}-req
chmod +x %{__perl_requires}


%build
%configure --enable-desktop-integration
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
install -pm0644 %{SOURCE2} .
install -pm0644 %{SOURCE3} .

desktop-file-install \
        --dir=%{buildroot}%{_datadir}/applications \
        %{buildroot}/%{_datadir}/applications/fuse.desktop

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
/bin/touch --no-create %{_datadir}/mime/packages &> /dev/null || :


%postun
if [ $1 -eq 0 ] ; then
        /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
        /bin/touch --no-create %{_datadir}/mime/packages &> /dev/null || :
        /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :
        /usr/bin/update-mime-database %{?fedora:-n} %{_datadir}/mime &> /dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :
/usr/bin/update-mime-database %{?fedora:-n} %{_datadir}/mime &> /dev/null || :

%clean
rm -rf %{buildroot}


%files
%{_mandir}/man1/fuse.1.gz
%{_bindir}/fuse
%{_datadir}/fuse
%{_datadir}/applications/fuse.desktop
%{_datadir}/icons/hicolor/*/mimetypes/application-x-spectrum.png
%{_datadir}/icons/hicolor/*/apps/fuse.png
%{_datadir}/mime/packages/fuse.xml
%doc AUTHORS ChangeLog COPYING README THANKS README.z88sdk README_fuseroms.fedora


%changelog
* Wed Feb 08 2017 Lucian Langa <lucilanga@gnome.eu.org> - 1.3.3-1
- new upstream release

* Sat Dec 10 2016 Lucian Langa <lucilanga@gnome.eu.org> - 1.3.2-1
- new upstream release

* Tue Nov 15 2016 Lucian Langa <lucilanga@gnome.eu.org> - 1.3.1-1
- new upstream release

* Tue Oct 04 2016 Lucian Langa <lucilanga@gnome.eu.org> - 1.3.0-1
- add desktop integration files
- drop source2 (icon file) - project supplies its own icon file
- new upstream release

* Thu Sep 01 2016 Lucian Langa <lucilanga@gnome.eu.org> - 1.2.2-1
- update generation script
- new upstream release

* Wed Jul 20 2016 Lucian Langa <lucilanga@gnome.eu.org> - 1.2.1-1
- new upstream release

* Sat Jun 11 2016 Lucian Langa <lucilanga@gnome.eu.org> - 1.2.0-2
- bump BR libspectrum version (thanks Sergio B)

* Tue Jun 07 2016 Lucian Langa <lucilanga@gnome.eu.org> - 1.2.0-1
- update generate-tarbal script
- misc cleanups
- update to latest upstream

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Jun 30 2013 Lucian Langa <cooly@gnome.eu.org> - 1.1.1-1
- drop old build requires
- add missing requires
- new upstream release

* Tue May 21 2013 Lucian Langa <cooly@gnome.eu.org> - 1.1.0-1
- new upstream release

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Oct 13 2012 Lucian Langa <cooly@gnome.eu.org> - 1.0.0.1-6
- rebuilt with newer libaudiofile

* Wed Aug 01 2012 Jon Ciesla <limburgher@gmail.com> - 1.0.0.1-5
- Tom Lane's zlib fixes for libpng15, BZ 843645.

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 1.0.0.1-2
- Rebuild for new libpng

* Thu Mar 03 2011 Lucian Langa <cooly@gnome.eu.org> - 1.0.0.1-1
- new upstream release

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Dec 17 2010 Lucian Langa <cooly@gnome.eu.org> - 1.0.0-1
- new upstream release

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 15 2009 Lucian Langa <cooly@gnome.eu.org> - 0.10.0.2-1
- new upstream release

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Dec 13 2008 Lucian Langa <cooly@gnome.eu.org> - 0.10.0.1-1
- new upstream critial fix release

* Fri Dec 05 2008 Lucian Langa <cooly@gnome.eu.org> - 0.10.0-1
- new upstream release 0.10.0

* Sat Aug 23 2008 Lucian Langa <cooly@gnome.eu.org> - 0.9.0-4
- fix rh bug 458817

* Sat Aug  2 2008 Lucian Langa <cooly@gnome.eu.org> - 0.9.0-3
- strip source before uploading it
- fix for BADSOURCE

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.9.0-2
- Autorebuild for GCC 4.3

* Mon Jan 07 2008 Ian Chapman <packages[AT]amiga-hardware.com> 0.9.0-1
- Upgrade to 0.9.0
- Use DESTDIR and noroms patch
- Added several new BRs for the new version

* Tue Aug 21 2007 Ian Chapman <packages[AT]amiga-hardware.com> 0.8.0.1-3
- Release bump for F8 mass rebuild
- License change due to new guidelines

* Sun Jul 15 2007 Ian Chapman <packages[AT]amiga-hardware.com> 0.8.0.1-2
- Filter unwanted dependancies dragged in by rpm (BZ #248265)

* Sat Jun 30 2007 Ian Chapman <packages[AT]amiga-hardware.com> 0.8.0.1-1
- Upgrade to 0.8.0.1
- Various cleanups to the SPEC including conforming to new guidelines

* Thu Feb 9 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 0.7.0-6
- Removed pre and post as they were empty
- Fixed the "fuse-emulator" problem

* Wed Oct 26 2005 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 0.7.0-5
- Altered package name to fuse-emulator (macro)
- Removed BR: zlib-devel and BR: glibc-devel and both Requires
- Included comment regarding the SRPM not containing the ROMS
- Added README.z88sdk file to the archive
- Made the source of the tarball a valid one!
- Removed a comma from after xml2-devel

* Mon Oct 17 2005 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 0.7.0-4
- Minor alteration to spec file (Build require=perl gone)
- Addition of sound.c patch file

* Fri Sep 02 2005 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 0.7.0-3.fc
- Removal of ROMS and addition to documentation of where to get ROMS

* Mon Aug 29 2005 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 0.7.0-2.fc
- Fixes to both the source and spec for FC

* Mon Feb 28 2005 Ian Chapman <packages[AT]amiga-hardware.com> - 0.7.0-2.iss
- Rebuild for newer version of lib765 (0.3.3)

* Fri Jul 16 2004 Ian Chapman <packages[AT]amiga-hardware.com> - 0.7.0-1.iss
- Updated to version 0.7.0
- Updated for Fedora Core 2
- Added a graphic for the menu icon

* Fri Dec 05 2003 Ian Chapman <packages[AT]amiga-hardware.com> - 0.6.1.1-2
- Minor fixes to changelog
- Improved use of macros
- Removed most explicit library dependancies
- Added menu icon

* Sun Nov 30 2003 Ian Chapman <packages[AT]amiga-hardware.com> - 0.6.1.1-1
- Initial Release
